List provider models in project
Lists the models that a provider's service serves, with what kosem knows of each, to choose models from. The service is asked at most every few minutes for each key.
GET
Lists the models that a provider's service serves, with what kosem knows of each, to choose models from. The service is asked at most every few minutes for each key.
bearerheader
AuthorizationBearer <token>An access token, or an API key.
project*stringThe project's ID.
Match
^prj_[0-7][0-9a-hjkmnp-tv-z]{25}$provider*stringThe provider's ID.
Match
^prv_[0-7][0-9a-hjkmnp-tv-z]{25}$pageSize?integerMaximum number of items to return. Defaults to 50; values above 500 are treated as 500.
Format
int32Range
0 <= valuepageToken?stringPage token from a previous response.
OK
application/json- response
nextPageToken*stringToken for the next page; empty on the last page.
providerModels*array<>Models, ordered by providerModel.
curl -X GET 'https://api.kosem.ai/v1/projects/string/providers/string/providerModels'Example Response
{
"nextPageToken": "string",
"providerModels": [
{
"displayName": "string",
"formats": [
"ANTHROPIC_MESSAGES"
],
"info": {
"contextWindow": 0,
"deprecated": true,
"displayName": "string",
"inputs": [
"string"
],
"maxInputTokens": 0,
"maxOutputTokens": 0,
"pricing": {
"cacheRead": {
"currencyCode": "string",
"nanos": -999999999,
"units": 0
},
"cacheWrite": {
"currencyCode": "string",
"nanos": -999999999,
"units": 0
},
"input": {
"currencyCode": "string",
"nanos": -999999999,
"units": 0
},
"output": {
"currencyCode": "string",
"nanos": -999999999,
"units": 0
}
},
"reasoning": true,
"reasoningEfforts": [
"string"
],
"structuredOutput": true,
"toolCalls": true
},
"models": [
"string"
],
"nativeFormats": [
"ANTHROPIC_MESSAGES"
],
"providerModel": "string"
}
]
}